<?php
require_once('../Controller/Connect.php');
require_once('../Controller/AppController.php');

try{
  $sql = '
    SELECT
      t1.*,
      genders.gender
    FROM
      sortable AS t1
    LEFT JOIN `genders` ON t1.gender_id = genders.id
    ';
  $select = new SelectData();
  $result = $select->select($sql);
  $json_data = json_encode( $result, JSON_HEX_TAG | JSON_HEX_AMP | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_NUMERIC_CHECK);

  header("Content-Type: application/json; charset=utf-8");
  header("Access-Control-Allow-Origin: http://localhost:8085");  //自分の環境に合わせましょう
  echo $json_data;

} catch (PDOException $e) {
    echo $e->getMessage();
}


//axiosを経由してPOSTで受信した「座標、id」データを受けて、DBに登録
if(!empty($_POST['left'])){
  try{
    $sql  = ' 
      UPDATE
        sortable
      SET
        left_x = :LEFT,
        top_y  = :TOP
      WHERE
        id = :NUMBER
      ';
    header("Access-Control-Allow-Origin: http://localhost:8085");
    $obj = new AppController();
    $obj->update_sortable($sql, $_POST['left'], $_POST['top'], $_POST['id']);
    //file_put_contents('aaa.txt', $_POST['id']); //確認用

  } catch (PDOException $e) {
    echo $e->getMessage();
  }
}//*/


/* axiosを経由してPOSTで受信した「名前、性別」データを受けて、DBに登録 */
if(!empty($_POST['inputName'])){
  try{
    $sql = '
      INSERT INTO sortable(
        name,
        gender_id
      )
      VALUES(
        :ONAMAE,
        :GENDER
      )
      ';

    $obj = new AppController();
    $obj->insert_sortable($sql, $_POST['inputName'], $_POST['inputGender']);
    //file_put_contents('bbb.txt', $_POST['inputGender']);  //確認用

  } catch (PDOException $e) {
    echo $e->getMessage();
  }
}
